summaryrefslogtreecommitdiffstats
path: root/maven/projects/oculusvr/pom.sh
diff options
context:
space:
mode:
authorMark Raynsford <[email protected]>2014-07-11 14:56:08 +0000
committerMark Raynsford <[email protected]>2014-07-11 14:56:08 +0000
commitc386cf285bfaf797c6779189c09e42d68e43b102 (patch)
treebbcec9383aebe183ac239ef171a3791718407c88 /maven/projects/oculusvr/pom.sh
parent23f88dbae2b9f067e1665b764d75b2737da10397 (diff)
Update packages to reflect the new lack-of-aliasing behaviour. Add Oculus VR package.
Project format changed slightly (dummy-jar -> main-jar, different values in natives). Bug: 1023
Diffstat (limited to 'maven/projects/oculusvr/pom.sh')
-rwxr-xr-xmaven/projects/oculusvr/pom.sh37
1 files changed, 37 insertions, 0 deletions
diff --git a/maven/projects/oculusvr/pom.sh b/maven/projects/oculusvr/pom.sh
new file mode 100755
index 0000000..ae63c1a
--- /dev/null
+++ b/maven/projects/oculusvr/pom.sh
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+if [ $# -lt 1 ]
+then
+ echo "usage: version" 1>&2
+ exit 1
+fi
+
+VERSION="$1"
+shift
+
+cat <<EOF
+<?xml version="1.0" encoding="UTF-8"?>
+<project
+ xmlns="http://maven.apache.org/POM/4.0.0"
+ xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+ xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+
+ <!-- -->
+ <!-- Auto generated by oculusvr.pom.sh, do not edit directly! -->
+ <!-- -->
+
+ <modelVersion>4.0.0</modelVersion>
+ <groupId>org.jogamp.jogl</groupId>
+ <artifactId>oculusvr</artifactId>
+ <version>${VERSION}</version>
+ <packaging>jar</packaging>
+ <name>JOGL</name>
+ <description>Java™ Binding for the OpenGL® API (Oculus VR atomic jar files)</description>
+ <url>http://jogamp.org/jogl/www/</url>
+
+EOF
+
+cat pom.in || exit 1
+cat <<EOF
+</project>
+EOF